Package sailpoint.connector.webservices
Class Endpoint
java.lang.Object
sailpoint.connector.webservices.Endpoint
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionvoidUse this method to add a header value to the existing http header map for the requestUse this method to get the name of the rule to run after the webservice request completes.getAttribute(String name) Use this method to get the value of an attributeUse this method to get all the available attributesUse this method to get the base url (endpoint) of the operation that is to be performed for the particular operationUse this method to get the name of the rule to run before the webservice request completesgetBody()Use this method to get the http payload information as a map.Use this method to get the context url for the particular operation (create user, update user, account aggregation, etc...)Use this method to get the complete url (endpoint) of the operation that is to be performed for the particular operationUse this method to get the header values for the requestUse this method to get the http method type (put, post, get, patch, delete) for the particular operation (create user, update user, account aggregation, etc...)Use this method to get the operation type (Account Aggregation, Group Aggregation, Create Account, etc...) for the particular operation record (create user, update user, account aggregation, etc...)Use this method to get the response mapping for the response attributes returned from the JSON response of the managed source.Use this method to get the value of successful response codes as a list (200,201,299).Use this method to get the root of the JSON response returned from the managed source for the particular operation (create user, update user, account aggregation, etc...)
Example root path for the json below:$.resultsintUse this method to get the sequence number for the particular operation (create user, update user, account aggregation, etc...)Use this method to get the unique operation name for the particular operation (create user, update user, account aggregation, etc...)voidsetBaseUrl(String value) Use this method to set the base url (endpoint) of the operation that is to be performed for the particular operationvoidUse this method to set the http payload information as a map.voidsetContextUrl(String value) Use this method to set the context url for the particular operation (create user, update user, account aggregation, etc...)voidsetFullUrl(String value) Use this method to set the complete url (endpoint) of the operation that is to be performed for the particular operationvoidUse this method to set the header values for the requestvoidsetHttpMethodType(String value) Use this method to set the http method type (put, post, get, patch, delete) for the particular operation (create user, update user, account aggregation, etc...)voidsetOperationType(String value) Use this method to set the operation type (Account Aggregation, Group Aggregation, Create Account, etc...) for the particular operation record (create user, update user, account aggregation, etc...)voidsetResMappingObj(Map value) Use this method to set the response mapping for the response attributes returned from the JSON response of the managed source.voidsetResponseCode(List value) Use this method to set the value of successful response codes as a list (200,201,299).voidsetRootPath(String value) Use this method to set the root of the JSON response returned from the managed source for the particular operation (create user, update user, account aggregation, etc...)
Example root path for the json below:$.results
-
Constructor Details
-
Endpoint
public Endpoint()
-
-
Method Details
-
getAfterRule
Use this method to get the name of the rule to run after the webservice request completes. -
getBeforeRule
Use this method to get the name of the rule to run before the webservice request completes -
setContextUrl
Use this method to set the context url for the particular operation (create user, update user, account aggregation, etc...)- Parameters:
value- the name of the context url
-
getContextUrl
Use this method to get the context url for the particular operation (create user, update user, account aggregation, etc...) -
setHttpMethodType
Use this method to set the http method type (put, post, get, patch, delete) for the particular operation (create user, update user, account aggregation, etc...)- Parameters:
value- the name of the http method type [get, post, put, patch, delete]
-
getHttpMethodType
Use this method to get the http method type (put, post, get, patch, delete) for the particular operation (create user, update user, account aggregation, etc...) -
setOperationType
Use this method to set the operation type (Account Aggregation, Group Aggregation, Create Account, etc...) for the particular operation record (create user, update user, account aggregation, etc...)- Parameters:
value- the name of the operation type
-
getOperationType
Use this method to get the operation type (Account Aggregation, Group Aggregation, Create Account, etc...) for the particular operation record (create user, update user, account aggregation, etc...) -
setRootPath
Use this method to set the root of the JSON response returned from the managed source for the particular operation (create user, update user, account aggregation, etc...)
Example root path for the json below:$.results{ "results": [ { "id": "12345", "name": "John Doe" "email": "john.doe@sailpoint.com" }, { "id": "54321", "name": "Jane Doe", "email": "jane.doe@sailpoint.com" } ] }- Parameters:
value- the name of the root of the JSON response results
-
getRootPath
Use this method to get the root of the JSON response returned from the managed source for the particular operation (create user, update user, account aggregation, etc...)
Example root path for the json below:$.results{ "results": [ { "id": "12345", "name": "John Doe" "email": "john.doe@sailpoint.com" }, { "id": "54321", "name": "Jane Doe", "email": "jane.doe@sailpoint.com" } ] } -
setFullUrl
Use this method to set the complete url (endpoint) of the operation that is to be performed for the particular operationExample full url for Airtable Get Users call ex: https://api.airtable.com/v0/appe0bVnLjyV97hyg/Users
- Parameters:
value- the full url as a string
-
getFullUrl
Use this method to get the complete url (endpoint) of the operation that is to be performed for the particular operationExample full url for Airtable Get Users call ex: https://api.airtable.com/v0/appe0bVnLjyV97hyg/Users
-
setBaseUrl
Use this method to set the base url (endpoint) of the operation that is to be performed for the particular operationExample base url for Airtable Get Users call ex: https://api.airtable.com/v0/appe0bVnLjyV97hyg- Parameters:
value- the base url as a string
-
getBaseUrl
Use this method to get the base url (endpoint) of the operation that is to be performed for the particular operationExample base url for Airtable Get Users call ex: https://api.airtable.com/v0/appe0bVnLjyV97hyg -
getSequenceNumberForEndpoint
public int getSequenceNumberForEndpoint()Use this method to get the sequence number for the particular operation (create user, update user, account aggregation, etc...) -
getUniqueNameForEndPoint
Use this method to get the unique operation name for the particular operation (create user, update user, account aggregation, etc...) -
setResMappingObj
Use this method to set the response mapping for the response attributes returned from the JSON response of the managed source.
The key would be the attribute name from the source account schema and the value would be the JSON path after the root path.{ "results": [ { "fields": { "id": "12345", "name": "John Doe" "email": "john.doe@sailpoint.com" } }, { "fields": { "id": "54321", "name": "Jane Doe", "email": "jane.doe@sailpoint.com" } } ] }Root path: $.results
Response Map{ "id": "fields.id", "name": "fields.name", "email": "fields.email" }- Parameters:
value- the mapping of account schema attribute to the JSON path value in the JSON response
-
getResMappingObj
Use this method to get the response mapping for the response attributes returned from the JSON response of the managed source.
The key would be the attribute name from the source account schema and the value would be the JSON path after the root path.{ "results": [ { "fields": { "id": "12345", "name": "John Doe" "email": "john.doe@sailpoint.com" } }, { "fields": { "id": "54321", "name": "Jane Doe", "email": "jane.doe@sailpoint.com" } } ] }Root path: $.results
Response Map{ "id": "fields.id", "name": "fields.name", "email": "fields.email" } -
setHeader
Use this method to set the header values for the request//Set Header Content-Type Map headerMap = requestEndPoint.getHeader(); headerMap.put("Content-Type", "application/json"); requestEndPoint.setHeader(headerMap);- Parameters:
value- the map of http headers to send with the request
-
getHeader
Use this method to get the header values for the request//Set Header Content-Type Map headerMap = requestEndPoint.getHeader(); headerMap.put("Content-Type", "application/json"); requestEndPoint.setHeader(headerMap); -
addHeader
Use this method to add a header value to the existing http header map for the requestrequestEndPoint.addHeader("Authorization", "Bearer " + accessToken);- Parameters:
entry- the key for the headervalue- the value for the header
-
setBody
Use this method to set the http payload information as a map.
The map must contain three keysbodyFormat, bodyFormData, jsonBody. The bodyFormat value can beraw
which means the user has provided values as a raw JSON string, otherwise the user has provided the value in the key,value format that must be converted into JSON- Parameters:
value- the http payload map
-
getBody
Use this method to get the http payload information as a map.
The map contains three keysbodyFormat, bodyFormData, jsonBody. -
setResponseCode
Use this method to set the value of successful response codes as a list (200,201,299). This will be respected by the connector.
If any other response codes are returned this would be considered as a request failure.- Parameters:
value- the list of successful response code values
-
getResponseCode
Use this method to get the value of successful response codes as a list (200,201,299). -
getAttributes
Use this method to get all the available attributes- Returns:
-
getAttribute
Use this method to get the value of an attribute- Parameters:
name- the name of the attribute- Returns:
-